#ifndef ICCOM_H
#define ICCOM_H

#include <linux/kernel.h>

enum iccom_channel_number {
	ICCOM_CHANNEL_0 = 0,
	ICCOM_CHANNEL_1,
	ICCOM_CHANNEL_2,
	ICCOM_CHANNEL_3,
	ICCOM_CHANNEL_4,
	ICCOM_CHANNEL_5,
	ICCOM_CHANNEL_6,
	ICCOM_CHANNEL_7,
	ICCOM_CHANNEL_MAX
};

// ioctl stuff
#define ICCOM_IOCTL_MAGIC		0xA5
#define ICCOM_IOCTL_CMD_WRITE		1
#define ICCOM_IOCTL_CMD_READ		2

struct iccom_ioctl_pkt {
	uint32_t length;
	uint8_t* data;
};

#define ICCOM_IOCTL_WRITE	_IOW(ICCOM_IOCTL_MAGIC, ICCOM_IOCTL_CMD_WRITE, struct iccom_ioctl_pkt *)
#define ICCOM_IOCTL_READ	_IOR(ICCOM_IOCTL_MAGIC, ICCOM_IOCTL_CMD_READ, struct iccom_ioctl_pkt *)

#endif /* ICCOM_H */
